osmium::builder::ObjectBuilder< TItem > Class Template Reference

`#include <builder.hpp>`

Inheritance diagram for osmium::builder::ObjectBuilder< TItem >:
[legend]
Collaboration diagram for osmium::builder::ObjectBuilder< TItem >:
[legend]

## Public Member Functions

| ObjectBuilder (osmium::memory::Buffer &buffer, Builder *parent=nullptr)
TItem & | object () noexcept
void | add_user (const char *user, const string_size_type length)
void | add_user (const char *user)
void | add_user (const std::string &user)
Public Member Functions inherited from osmium::builder::Builder
void | add_padding (bool self=false)
void | add_size (uint32_t size)
uint32_t | size () const noexcept
void | add_item (const osmium::memory::Item *item)
template<typename T >
T * | reserve_space_for ()
osmium::memory::item_size_type | append (const char *data, const osmium::memory::item_size_type length)
osmium::memory::item_size_type | append (const char *str)
osmium::memory::item_size_type | append_zero ()
osmium::memory::Buffer & | buffer () noexcept
| Return the buffer this builder is using. More...

## Additional Inherited Members

Protected Member Functions inherited from osmium::builder::Builder
| Builder (osmium::memory::Buffer &buffer, Builder *parent, osmium::memory::item_size_type size)
| ~Builder ()=default
osmium::memory::Item & | item () const

## Constructor & Destructor Documentation

template<typename TItem>

osmium::builder::ObjectBuilder< TItem >::ObjectBuilder | ( | osmium::memory::Buffer & | buffer,
|  | Builder * | parent = `nullptr`
| ) |  |

inline explicit

## Member Function Documentation

template<typename TItem>

void osmium::builder::ObjectBuilder< TItem >::add_user | ( | const char * | user,
|  | const string_size_type | length
| ) |  |

inline

Add user name to buffer.

Parameters

  user | Pointer to user name.
  length | Length of user name (without \0 termination).

template<typename TItem>

void osmium::builder::ObjectBuilder< TItem >::add_user | ( | const char * | user | ) |

inline

Add user name to buffer.

Parameters

  user | Pointer to \0-terminated user name.

template<typename TItem>

void osmium::builder::ObjectBuilder< TItem >::add_user | ( | const std::string & | user | ) |

inline

Add user name to buffer.

Parameters

  user | User name.

template<typename TItem>

TItem& osmium::builder::ObjectBuilder< TItem >::object | ( |  | ) |

inline noexcept

The documentation for this class was generated from the following file:

- osmium/builder/builder.hpp